// (c) OE8WOZ - nichtkommerzielle Benutzung auf eigene Gefahr

// Batterie Oberfläche
width = 62; // Breite in mm
length = 149; // Länge in mm
thickness = 3; // Dicke in mm

conn_width = 65-0.5; // Verteiler Breite in mm
conn_length = 78; // Verteiler Länge in mm
conn_dist = 35+(44-35)/2; // Verteiler Befestigung Abstand in mm
conn_height = 2.5+(44-35)/4; // Befestigung Höhe in mm

// interne Variable für Rundungen (max. 1° pro Segment)
$fn=360;

// Differenzmenge fester Körper und Ausschnitte
difference() {
    // Fester Körper
    union() {
        // Grundplatte
        cube([width,length,thickness]);
        // Verteiler Befestigung
        translate([(width-conn_width)/2,(length-conn_length)/2,0])
            cube([conn_width,conn_length,9+thickness]);
    }
    // Ausschnitte
    union() {
        // Akku Anschlußaussparungen
        translate([-1,6,-1]) cube([12+1,20,thickness+2]);
        translate([width-12,6,-1]) cube([12+1,20,thickness+2]);
        // Verteiler Befestigung Aussparung
        translate([5+(width-conn_width)/2,5+(length-conn_length)/2,thickness])
            cube([conn_width-10,conn_length-10,10]);
        // Kabel Aussparungen
        translate([7-4/2,-10+(length-conn_length)/2,thickness-4])
            cube([4,13+2*4,9+2+width]);
        translate([width-(7-4/2)-4,-10+(length-conn_length)/2,thickness-4])
            cube([4,13+2*4,9+2+width]);
        // Schraublöcher
        translate([-3,length/2+conn_dist/2,thickness+conn_height]) rotate([0,90,0])
            cylinder(h=10,d=3);
        translate([-3,length/2-conn_dist/2,thickness+conn_height]) rotate([0,90,0])
            cylinder(h=10,d=3);
        translate([conn_width-10,length/2+conn_dist/2,thickness+conn_height]) rotate([0,90,0])
            cylinder(h=10,d=3);
        translate([conn_width-10,length/2-conn_dist/2,thickness+conn_height]) rotate([0,90,0])
            cylinder(h=10,d=3);
    }
}